/ Skeleton / SkeletonModel
Search results

SkeletonModel API in Angular Skeleton API component

Interface for a class Skeleton

Properties

cssClass

string

Defines single/multiple classes (separated by space) to be used for customization of Skeleton.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

enableRtl

boolean

Enable or disable rendering component in right to left direction.

height

string | number

Defines the height of the Skeleton. Height is not required when shape is “Circle” and “Square”.

label

string

Defines the ‘aria-label’ for Skeleton accessibility.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

shape

string | SkeletonType

Defines the shape of the Skeleton.

    <ejs-skeleton [shape]='shape' width='48px'></ejs-skeleton>
import { Component } from '@angular/core';
import { SkeletonType } from '@syncfusion/ej2-angular-notifications';

@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None
})

export class AppComponent { 
    public shape:SkeletonType = 'Circle'
}

shimmerEffect

string | ShimmerEffect

Defines the animation effect of the Skeleton.

    <ejs-skeleton shape='Circle' width='48px' [shimmerEffect]='effect'></ejs-skeleton>
import { Component } from '@angular/core';
import { ShimmerEffect } from '@syncfusion/ej2-angular-notifications';

@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None
})

export class AppComponent { 
    public effect: ShimmerEffect='Pulse';
}

visible

boolean

Defines the visibility state of Skeleton.

width

string | number

Defines the width of the Skeleton. Width will be prioritized and used as dimension when shape is “Circle” and “Square”.

SkeletonModel

23 Sep 20251 minute to read

Interface for a class Skeleton

Properties

cssClass string

Defines single/multiple classes (separated by space) to be used for customization of Skeleton.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

enableRtl boolean

Enable or disable rendering component in right to left direction.

height string|number

Defines the height of the Skeleton.
Height is not required when shape is “Circle” and “Square”.

label string

Defines the ‘aria-label’ for Skeleton accessibility.

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

shape string|SkeletonType

Defines the shape of the Skeleton.

import * as React from 'react';
import './style.css';
import { SkeletonComponent } from '@syncfusion/ej2-react-notifications';

export default function App() {
  return (
    <div>
      <SkeletonComponent shape='Circle' width='48px'></SkeletonComponent>
    </div>
  );
}

shimmerEffect string|ShimmerEffect

Defines the animation effect of the Skeleton.

import * as React from 'react';
import './style.css';
import { SkeletonComponent } from '@syncfusion/ej2-react-notifications';

export default function App() {
  return (
    <div>
      <SkeletonComponent shape='Circle' width='48px' shimmerEffect='Pulse'></SkeletonComponent>
    </div>
  );
}

visible boolean

Defines the visibility state of Skeleton.

width string|number

Defines the width of the Skeleton.
Width will be prioritized and used as dimension when shape is “Circle” and “Square”.

SkeletonModel

23 Sep 20251 minute to read

Interface for a class Skeleton

Properties

cssClass string

Defines single/multiple classes (separated by space) to be used for customization of Skeleton.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

enableRtl boolean

Enable or disable rendering component in right to left direction.

height string|number

Defines the height of the Skeleton.
Height is not required when shape is “Circle” and “Square”.

label string

Defines the ‘aria-label’ for Skeleton accessibility.

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

shape string|SkeletonType

Defines the shape of the Skeleton.

<template>
    <ejs-skeleton shape='Circle' width='48px'></ejs-skeleton>
</template>

<script>
    import Vue from 'vue';
    import { SkeletonPlugin } from '@syncfusion/ej2-vue-notifications';

    Vue.use(SkeletonPlugin);

    export default { }
</script>

shimmerEffect string|ShimmerEffect

Defines the animation effect of the Skeleton.

<template>
    <ejs-skeleton shape='Circle' width='60px' shimmerEffect='Pulse'></ejs-skeleton>
</template>

<script>
    import Vue from 'vue';
    import { SkeletonPlugin } from '@syncfusion/ej2-vue-notifications';

    Vue.use(SkeletonPlugin);

    export default { }
</script>

visible boolean

Defines the visibility state of Skeleton.

width string|number

Defines the width of the Skeleton.
Width will be prioritized and used as dimension when shape is “Circle” and “Square”.